Zuplo Developer API

Manage account custom domains and their deployment mappings


Get Custom Domains

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/custom-domains

Gets the account custom domains

Get Custom Domains › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Get Custom Domains › Responses

The request has succeeded.

Response containing a paginated list of custom domains.

The custom domains returned for the account.

offset
​integer · uint32 · required

The number of records skipped.

Example: 0
limit
​integer · uint32 · required

The maximum number of records returned.

Example: 100

Create Custom Domain

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/custom-domains

Creates a custom domain

Create Custom Domain › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Create Custom Domain › Request Body

Request body for creating a custom domain.
hostname
​string · required

The hostname to configure as a custom domain.

Example: api.example.com
deploymentName
​string

The deployment to associate with the hostname.

Example: todo-list-api-main-59eec11
stage
​string · enum

The stage to expose on the hostname.

Enum values:
api
dev-portal
Example: api
isDefault
​boolean

Whether this domain should be the default domain for the deployment.

Example: true
isAlias
​boolean

Whether the domain should be configured as an alias.

Example: false

Create Custom Domain › Responses

The request has succeeded.

The result of creating or updating a custom domain.
deploymentName
​string | null · required

The deployment associated with the hostname.

Example: todo-list-api-main-59eec11
hostname
​string · required

The hostname that was created or updated.

Example: api.example.com
stage
​string · enum · required

The stage exposed by the hostname.

Enum values:
api
dev-portal
Example: api
ownershipVerification
​object | null · required

The DNS record required to verify domain ownership, if any.

Example: {"name":"_zuplo.api.example.com","type":"TXT","value":"zuplo-verification-token"}
cname
​string | null · required

The CNAME target for the custom domain, if any.

Example: todo-list-api-main-59eec11.zuplo.app

Update a Custom Domain

PATCH
https://dev.zuplo.com
/v1/accounts/{accountName}/custom-domains

Updates a custom domain

Update a Custom Domain › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Update a Custom Domain › Request Body

Request body for updating a custom domain.
hostname
​string · required

The hostname to update.

Example: api.example.com
deploymentName
​string

The deployment to associate with the hostname.

Example: todo-list-api-main-59eec11
isDefault
​boolean

Whether this domain should be the default domain for the deployment.

Example: true

Update a Custom Domain › Responses

The request has succeeded.

The result of creating or updating a custom domain.
deploymentName
​string | null · required

The deployment associated with the hostname.

Example: todo-list-api-main-59eec11
hostname
​string · required

The hostname that was created or updated.

Example: api.example.com
stage
​string · enum · required

The stage exposed by the hostname.

Enum values:
api
dev-portal
Example: api
ownershipVerification
​object | null · required

The DNS record required to verify domain ownership, if any.

Example: {"name":"_zuplo.api.example.com","type":"TXT","value":"zuplo-verification-token"}
cname
​string | null · required

The CNAME target for the custom domain, if any.

Example: todo-list-api-main-59eec11.zuplo.app

Delete a Custom Domain

DELETE
https://dev.zuplo.com
/v1/accounts/{accountName}/custom-domains

Delete a custom domain

Delete a Custom Domain › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Delete a Custom Domain › query Parameters

hostname
​string · required

The hostname of the custom domain to delete.

deploymentName
​string

The deployment associated with the hostname, when deleting a deployment-specific mapping.

Delete a Custom Domain › Responses

The request has succeeded.

No data returned